#include <stdlib.h>
#include <stdio.h>

int main(int argc, char** argv) {
	char tab[200];
	int i = 0;
	int j;
	char s;
	int k;
	int res;
	int y = 0;
	char spre[128];
	int compteur = 0;
	int compteur2 = 0;
	int compteur3 = 0;
	char li = getchar();
	while(li != '\n'){
		tab[i] = li;
		li = getchar();
		i++;
  	}
	tab[i] = '\0';
	for(j = 0 ; j < i ; j++){
		s = tab[j];
		if(tab[j] == 'e'){
			compteur++;
		}else{
			for(k = 0 ; k<128 ; k++){
				if(spre[k] == s){
					res = 0;
					break;
				}else{
					res = -1;
				}
			}
			if(res == -1){
				spre[y] = s;
				compteur3++;
				y++;
			}
		}
	}
	printf("Il y a %d e dans la phrase.\n", compteur);
	printf("Il y a %d de caractères différents dans la phrase.\n", compteur3);
	return EXIT_SUCCESS;
}